Syncfusion Feedback

Overview

The React range area chart is used to show variation in data values for a given time. It is like the area series, except that the area between the high and low ranges is filled.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The React range area chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color and border of the range area chart using built-in APIs.


Zoom and pan

Enable zooming and panning when dealing with large amounts of data to focus on particular ranges.


React Range Area Chart Code Example

Easily get started with React Range Area using a few simple lines of JS code, as demonstrated below. Also explore our React Range Area Chart Example that shows you how to render and configure the range area chart component.

import {AxisModel,ChartComponent, DateTime, Inject, RangeAreaSeries, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
let series1: object[] = [];
let value: number = 35;
let point1: object;

for (let i: number = 1; i < 360; i++) {
    if (Math.random() > .5) {
        value += Math.random();
    } else {
        value -= Math.random();
    }
    point1 = {
        high: value, low: value - 10,x: new Date(2015, 0, i),
    };
    series1.push(point1);
}
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'DateTime'};
  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[DateTime,RangeAreaSeries]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={series1} xName='x' high='high' low='low' type='RangeArea'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Range Area Chart User Guide

Learn the available options to customize React range area chart.

API

Range Area Chart API Reference

Explore the React range area chart APIs.


Discover Syncfusion’s Complete React Component Ecosystem

Explore over 150+ React UI components featuring established, production-ready controls and the latest pure React components built natively for modern web app development.

  • React Components
  • Pure React Components
Scroll up icon

Syncfusion Feedback

Overview

The Angular range area chart is used to show variation in data values for a given time. It is like the area series, except that the area between the high and low ranges is filled.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The Angular range area chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color and border of the range area chart using built-in APIs.


Zoom and pan

Enable zooming and panning when dealing with large amounts of data to focus on particular ranges.


Angular Range Area Chart Code Example

Easily get started with Angular Range Area using a few simple lines of JS code, as demonstrated below. Also explore our Angular Range Area Chart Example that shows you how to render and configure the range area chart component.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
     <e-series [dataSource]='data' type='RangeArea' drawType= "Line" xName='x' high='high' low ='low'> </e-series>    
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent { 
  public data: Object[];
  constructor () {
    let series1: Object[] = [];
    let value: number = 35;
    let point1: Object;

   for (let i: number = 1; i < 360; i++) {
    if (Math.random() > .5) {
        value += Math.random();
    } else {
        value -= Math.random();
    }
    point1 = {
        x: new Date(2015, 0, i),
        high: value, low: value - 10
    };
    series1.push(point1);
   }
    this.data = series1;
} 
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'DateTime',
     
};
}

//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { RangeAreaSeriesService, DateTimeService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ RangeAreaSeriesService, DateTimeService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Range Area Chart User Guide

Learn the available options to customize Angular Range Area Chart.

API

Range Area Chart API Reference

Explore the Angular Range Area Chart APIs.


150+ ANGULAR UI COMPONENTS

Scroll up icon